Package skyview.geometry.projecter

# Class Stg.StgDeproj

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Deprojecter
skyview.geometry.projecter.Stg.StgDeproj

All Implemented Interfaces:
  `Serializable`, `Component`

Enclosing class:
  `Stg`

public class Stg.StgDeproj extends Deprojecter

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StgDeproj()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of the component
`String`
`getName()`
Get the name of the component
`Projecter`
`inverse()`
Get the inverse transformation
`boolean`
`isInverse(Transformer t)`
Is this an inverse of some other transformation?
`final void`
`transform(double[] plane, double[] sphere)`
Deproject a point from the plane to the sphere.

### Methods inherited from class skyview.geometry.Deprojecter

`getInputDimension, getOutputDimension`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StgDeproj

public StgDeproj()

## Method Details

### getName

public String getName()
Get the name of the component

### getDescription

public String getDescription()
Get a description of the component

### inverse

public Projecter inverse()
Get the inverse transformation

Specified by:
  `inverse` in class `Transformer`

### isInverse

public boolean isInverse(Transformer t)
Is this an inverse of some other transformation?

Specified by:
  `isInverse` in class `Transformer`

### transform

public final void transform(double[] plane, double[] sphere)
Deproject a point from the plane to the sphere.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `plane` - a double[2] vector in the tangent plane.
  `sphere` - a preallocated double[3] vector.